Bug 68217 - [MAINTAINER] databases/postgresql-libpqxx: update to 2.2.3
Summary: [MAINTAINER] databases/postgresql-libpqxx: update to 2.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-23 02:20 UTC by Palle Girgensohn
Modified: 2004-06-24 06:30 UTC (History)
0 users

See Also:


Attachments
postgresql-libpqxx-2.2.3.patch (2.50 KB, patch)
2004-06-23 02:20 UTC, Palle Girgensohn
no flags Details | Diff
pg-libpqxx.diff (1.04 KB, patch)
2004-06-24 02:19 UTC, Palle Girgensohn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Palle Girgensohn 2004-06-23 02:20:23 UTC
- Update to 2.2.3

Generated with FreeBSD Port Tools 0.50
Comment 1 Thierry Thomas freebsd_committer 2004-06-23 20:56:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


I'll handle that.
Comment 2 Thierry Thomas freebsd_committer 2004-06-23 23:19:49 UTC
State Changed
From-To: open->closed


Committed, thanks! 

Remark: it does not build on -STABLE, because g++ 2.95.4 don't 
know <ios> 

/bin/sh ../libtool --mode=compile c++ -DHAVE_CONFIG_H -I. -I. -I../include/pqxx -I../include/pqxx -I../include -I../include -I/usr/local/include    -O -pipe -march=pentiumpro -c -o binarystring.lo binarystring.cxx 
mkdir .libs 
c++ -DHAVE_CONFIG_H -I. -I. -I../include/pqxx -I../include/pqxx -I../include -I../include -I/usr/local/include -O -pipe -march=pentiumpro -c binarystring.cxx -Wp,-MD,.deps/binarystring.TPlo  -fPIC -DPIC -o .libs/binarystring.o 
In file included from ../include/pqxx/result:22, 
from ../include/pqxx/binarystring.hxx:22, 
from ../include/pqxx/binarystring:21, 
from binarystring.cxx:22: 
../include/pqxx/result.hxx:19: ios: No such file or directory 
gmake[1]: *** [binarystring.lo] Erreur 1 
gmake[1]: Leaving directory `/usr/ports/databases/postgresql-libpqxx/work/libpqxx-2.2.3/src' 
gmake: *** [all-recursive] Erreur 1 
*** Error code 2 

Stop in /usr/ports/databases/postgresql-libpqxx.
Comment 3 Palle Girgensohn 2004-06-24 02:19:54 UTC
Attached is a patch to fix building for 4.x. It uses STL from a 
devel/stlport if builtin gcc cannot cope.

Regards,
Palle
Comment 4 Thierry Thomas freebsd_committer 2004-06-24 06:25:01 UTC
Le Jeu 24 jui 04 à  3:19:54 +0200, Palle Girgensohn <girgen@pingpong.net>
 écrivait :
> Attached is a patch to fix building for 4.x. It uses STL from a 
> devel/stlport if builtin gcc cannot cope.

Thanks, I shall check it ASAP.

Regards,
-- 
Th. Thomas.